Description: Fix libmissing cond test
Author: Thomas Andrejak <thomas.andrejak@gmail.com>
Last-Update: 2019-10-11
Forwarded: https://www.prelude-siem.org/issues/975

--- a/libmissing/tests/test-cond.c	2019-09-29 03:57:19.740954216 -0400
+++ b/libmissing/tests/test-cond.c	2019-10-11 18:46:51.794089659 -0400
@@ -82,11 +82,17 @@
 test_cond ()
 {
   int remain = 2;
+  int ret;
   gl_thread_t thread;
 
   cond_value = 0;
 
-  thread = gl_thread_create (cond_routine, NULL);
+  ret = glthread_create (&thread, cond_routine, NULL);
+  if (ret!=0) {
+    fprintf(stderr, "Error with gl_thread_create, errno %d\n", errno);
+    abort();
+  }
+
   do
     {
       yield ();
@@ -146,11 +152,16 @@
 test_timedcond (void)
 {
   int remain = 2;
+  int ret;
   gl_thread_t thread;
 
   cond_value = cond_timeout = 0;
 
-  thread = gl_thread_create (timedcond_routine, NULL);
+  ret = glthread_create (&thread, timedcond_routine, NULL);
+  if (ret!=0) {
+    fprintf(stderr, "Error with gl_thread_create, errno %d\n", errno);
+    abort();
+  }
 
   remain = 2;
   do
